Google Web Toolkit
Search Google Code:

# Interface SerializationStreamReader

public interface SerializationStreamReader
An interface for reading values from a stream.

## Methods

readBoolean() |
readByte() |
readChar() |
readDouble() |
readFloat() |
readInt() |
readLong() |
readObject() |
readShort() |
readString() |

## Method Detail

### readBoolean

public boolean readBoolean()
throws SerializationException

### readByte

public byte readByte()
throws SerializationException

### readChar

public char readChar()
throws SerializationException

### readDouble

public double readDouble()
throws SerializationException

### readFloat

public float readFloat()
throws SerializationException

### readInt

public int readInt()
throws SerializationException

### readLong

public long readLong()
throws SerializationException

### readObject

public Object readObject()
throws SerializationException

### readShort

public short readShort()
throws SerializationException

### readString

public String readString()
throws SerializationException